/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.glossary.ui.actions;

import junit.framework.TestCase;

import org.eclipse.jface.viewers.StructuredSelection;

import benten.cat.glossary.core.BentenGlossarySearchResult;

public class CopyGlossarySourceActionTest extends TestCase {

	private StructuredSelection selection(final String text) {
		final BentenGlossarySearchResult result = new BentenGlossarySearchResult();
		result.setSource(text);
		final StructuredSelection selection = new StructuredSelection(result);
		return selection;
	}

	public void testAsText() {
		final CopyGlossarySourceAction action = new CopyGlossarySourceAction(null, null);
		try {
			action.asText(null);
			fail();
		} catch (final NullPointerException e) {
			assertTrue(true);
		}
		assertEquals(null, action.asText(selection(null)));
		assertEquals("", action.asText(selection("")));
		assertEquals("test", action.asText(selection("test")));
	}
}
