/*
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 */
package benten.twa.filter.status;

import java.io.File;

import benten.ui.UiStatus;

/**
 * 状態をダイアログとハンドラーで共用するためのクラス。
 */
public class BentenExportHtmlStatus extends UiStatus {
    /**
     * フィールド: [fromXliffDir]。
     */
    private File fFromXliffDir;

    /**
     * フィールド: [fromHtmlDir]。
     */
    private File fFromHtmlDir;

    /**
     * フィールド: [toDir]。
     */
    private File fToDir;

    /**
     * フィールド [fromXliffDir] の値を設定します。
     *
     * @param argFromXliffDir フィールド[fromXliffDir]に設定する値。
     */
    public void setFromXliffDir(final File argFromXliffDir) {
        fFromXliffDir = argFromXliffDir;
    }

    /**
     * フィールド [fromXliffDir] の値を取得します。
     *
     * @return フィールド[fromXliffDir]から取得した値。
     */
    public File getFromXliffDir() {
        return fFromXliffDir;
    }

    /**
     * フィールド [fromHtmlDir] の値を設定します。
     *
     * @param argFromHtmlDir フィールド[fromHtmlDir]に設定する値。
     */
    public void setFromHtmlDir(final File argFromHtmlDir) {
        fFromHtmlDir = argFromHtmlDir;
    }

    /**
     * フィールド [fromHtmlDir] の値を取得します。
     *
     * @return フィールド[fromHtmlDir]から取得した値。
     */
    public File getFromHtmlDir() {
        return fFromHtmlDir;
    }

    /**
     * フィールド [toDir] の値を設定します。
     *
     * @param argToDir フィールド[toDir]に設定する値。
     */
    public void setToDir(final File argToDir) {
        fToDir = argToDir;
    }

    /**
     * フィールド [toDir] の値を取得します。
     *
     * @return フィールド[toDir]から取得した値。
     */
    public File getToDir() {
        return fToDir;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("benten.twa.filter.status.BentenExportHtmlStatus[");
        buf.append("fromXliffDir=" + fFromXliffDir);
        buf.append(",fromHtmlDir=" + fFromHtmlDir);
        buf.append(",toDir=" + fToDir);
        buf.append("]");
        return buf.toString();
    }
}
